package main

import (
	"fmt"
	"github.com/apple/foundationdb/bindings/go/src/fdb"
)

func main() {
	fdb.MustAPIVersion(520)
	db := fdb.MustOpenDefault()

	key := "Hello"
	_, _ = db.Transact(func(tr fdb.Transaction) (ret interface{}, e error) {
		tr.Set(fdb.Key(key), []byte("World!"))
		return
	})

	ret, _ := db.Transact(func(tr fdb.Transaction) (ret interface{}, e error) {
		ret = tr.Get(fdb.Key(key)).MustGet()
		return
	})

	v := ret.([]byte)
	fmt.Printf("%s, %s\n", key, string(v))
}
